Subject: Re: bug#42480: cabal-install/GHC fails to find libraries

From: Simon Tournier <[email-masked]>
Date: Fri, 22 Sep 2023 18:16:43 +0200

Hi

I think this old bug#42480,

    https://issues.guix.gnu.org/issue/42480

can be closed.

On Wed, 22 Jul 2020 at 16:43, John Soo <[email-masked]> wrote:

> I do have gcc-toolchain installed and I just realized that my project
> compiles fine if I do not try to statically link.  I believe this can be
> closed as dynamic linking works fine.  My mistake.  I did see the issue
> regarding captured inputs to ghc. I am in favor of removing them. I
> always must have gcc-toolchain installed when using ghc anyways.

Adding gcc-toolchain fixes the issue.

I am closing.  Let me know if I am missing something.

Cheers,
simon